## ros-dashing-rosbag2-test-common 0.1.8

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.5)
project(rosbag2_test_common)

# Default to C99
if(NOT CMAKE_C_STANDARD)
  set(CMAKE_C_STANDARD 99)
endif()

# Default to C++14
if(NOT CMAKE_CXX_STANDARD)
  set(CMAKE_CXX_STANDARD 14)
endif()

if(CMAKE_COMPILER_IS_GNUCXX OR CMAKE_CXX_COMPILER_ID MATCHES "Clang")
  add_compile_options(-Wall -Wextra -Wpedantic -Werror)
endif()

find_package(ament_cmake REQUIRED)
find_package(rclcpp REQUIRED)
find_package(rcutils REQUIRED)

add_library(${PROJECT_NAME} INTERFACE)
target_include_directories(${PROJECT_NAME} INTERFACE
  $<BUILD_INTERFACE:${CMAKE_CURRENT_SOURCE_DIR}/include>
  $<INSTALL_INTERFACE:include>)
target_link_libraries(${PROJECT_NAME} INTERFACE rclcpp rcutils)

install(
  DIRECTORY include/
  DESTINATION include)

if(BUILD_TESTING)
  find_package(ament_lint_auto REQUIRED)
  ament_lint_auto_find_test_dependencies()
endif()

ament_export_dependencies(rclcpp rcutils)

ament_export_include_directories(include)
ament_package()

=== debian/changelog ===
ros-dashing-rosbag2-test-common (0.1.8-1bionic) bionic; urgency=high



 -- Karsten Knese <karsten@openrobotics.org>  Wed, 16 Oct 2019 07:00:00 -0000

ros-dashing-rosbag2-test-common (0.1.7-1bionic) bionic; urgency=high



 -- Karsten Knese <karsten@openrobotics.org>  Mon, 14 Oct 2019 07:00:00 -0000

ros-dashing-rosbag2-test-common (0.1.6-1bionic) bionic; urgency=high



 -- Karsten Knese <karsten@openrobotics.org>  Fri, 20 Sep 2019 07:00:00 -0000

ros-dashing-rosbag2-test-common (0.1.5-1bionic) bionic; urgency=high



 -- Karsten Knese <karsten@openrobotics.org>  Mon, 09 Sep 2019 07:00:00 -0000

ros-dashing-rosbag2-test-common (0.1.4-1bionic) bionic; urgency=high



 -- Karsten Knese <karsten@openrobotics.org>  Wed, 31 Jul 2019 07:00:00 -0000

ros-dashing-rosbag2-test-common (0.1.3-1bionic) bionic; urgency=high



 -- Karsten Knese <karsten@openrobotics.org>  Wed, 12 Jun 2019 07:00:00 -0000

ros-dashing-rosbag2-test-common (0.1.2-1bionic) bionic; urgency=high

  * clean up test dependencies for rosbag2_test_common (#118 <https://github.com/ros2/rosbag2/issues/118>)
    * clean up test dependencies for rosbag2_test_common
    Signed-off-by: Karsten Knese <mailto:karsten@openrobotics.org>
    * use build and exec depend
    Signed-off-by: Karsten Knese <mailto:karsten@openrobotics.org>
  * Contributors: Karsten Knese

 -- Karsten Knese <karsten@openrobotics.org>  Mon, 20 May 2019 07:00:00 -0000

ros-dashing-rosbag2-test-common (0.1.1-1bionic) bionic; urgency=high



 -- Karsten Knese <karsten@openrobotics.org>  Thu, 09 May 2019 07:00:00 -0000

ros-dashing-rosbag2-test-common (0.1.0-1bionic) bionic; urgency=high

  * changes to avoid deprecated API's (#115 <https://github.com/ros2/rosbag2/issues/115>)
  * fix compilation against master (#111 <https://github.com/ros2/rosbag2/issues/111>)
  * Compile tests (#103 <https://github.com/ros2/rosbag2/issues/103>)
  * enforce unique node names (#86 <https://github.com/ros2/rosbag2/issues/86>)
  * Contributors: Dirk Thomas, Karsten Knese, William Woodall

 -- Karsten Knese <karsten@openrobotics.org>  Wed, 08 May 2019 07:00:00 -0000

ros-dashing-rosbag2-test-common (0.0.5-1bionic) bionic; urgency=high



 -- Karsten Knese <karsten@openrobotics.org>  Thu, 27 Dec 2018 08:00:00 -0000

ros-dashing-rosbag2-test-common (0.0.4-1bionic) bionic; urgency=high

  * 0.0.3
  * Contributors: Karsten Knese

 -- Karsten Knese <karsten@openrobotics.org>  Wed, 19 Dec 2018 08:00:00 -0000

ros-dashing-rosbag2-test-common (0.0.2-1bionic) bionic; urgency=high

  * update maintainer email
  * Contributors: Karsten Knese

 -- Karsten Knese <karsten@openrobotics.org>  Wed, 12 Dec 2018 08:00:00 -0000

ros-dashing-rosbag2-test-common (0.0.1-1bionic) bionic; urgency=high

  * Auto discovery of new topics (#63 <https://github.com/ros2/rosbag2/issues/63>)
  * GH-142 replace map with unordered map where possible (#65 <https://github.com/ros2/rosbag2/issues/65>)
  * use uint8 for serialized message (#61 <https://github.com/ros2/rosbag2/issues/61>)
  * Implement converter plugin for CDR format and add converter plugins package (#48 <https://github.com/ros2/rosbag2/issues/48>)
  * Use directory as bagfile and add additonal record options (#43 <https://github.com/ros2/rosbag2/issues/43>)
  * Introduce rosbag2_transport layer and CLI (#38 <https://github.com/ros2/rosbag2/issues/38>)
  * Contributors: Alessandro Bottero, Andreas Greimel, Andreas Holzner, Karsten Knese, Martin Idel

 -- Karsten Knese <karsten@openrobotics.org>  Tue, 11 Dec 2018 08:00:00 -0000

=== debian/control ===
Source: ros-dashing-rosbag2-test-common
Section: misc
Priority: extra
Maintainer: Karsten Knese <karsten@openrobotics.org>
Build-Depends: debhelper (>= 9.0.0), ros-dashing-ament-cmake, ros-dashing-ament-lint-auto, ros-dashing-ament-lint-common, ros-dashing-rclcpp, ros-dashing-rcutils, ros-dashing-ros-workspace
Homepage: 
Standards-Version: 3.9.2

Package: ros-dashing-rosbag2-test-common
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-dashing-rclcpp, ros-dashing-rcutils, ros-dashing-ros-workspace
Description: Commonly used test helper classes and fixtures for rosbag2

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/dashing/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG

%:
	dh $@ -v --buildsystem=cmake

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/dashing/setup.sh" ]; then . "/opt/ros/dashing/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/dashing" \
		-DAMENT_PREFIX_PATH="/opt/ros/dashing"

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/dashing/setup.sh" ]; then . "/opt/ros/dashing/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/dashing/setup.sh" ]; then . "/opt/ros/dashing/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/dashing/setup.sh" ]; then . "/opt/ros/dashing/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-dashing-rosbag2-test-common//opt/ros/dashing/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/dashing/setup.sh" ]; then . "/opt/ros/dashing/setup.sh"; fi && \
	dh_auto_install
